<?php
# fonction pour crypter le parrain
function cryptMember($member)
{
	# v2 !
	return $member[Id].substr($member['Time'],-1).md5($member['Time']);
}

# fonction pour décrypter le membre parrain
# pour l'instant on passe le memberId en clair
# on crypte le member[Time]. Pour conserver une compatibilité on conserve le cryptage
# du passwd. (Le passwd n'était pas bon car le joueur pouvait changer son passwd d'où
# une bannière d'affiliation qui ne fonctionnait plus
function uncryptMember($m)
{
	# on récupère les 32 derniers caractère qui correspondent au md5
	$end = substr($m,-32);

	# fragment du time
	$frag = substr($m,-33,1);

	# on récupère le début
	$begin = substr($m,0,strlen($m)-33);

	$member = getmember($begin);

	if ($member)
		if (substr($member['Time'],-1)==$frag)
			if (md5($member[Password])==$end or md5($member['Time'])==$end)
				return $member[Id];

	return 0;
}

?>